Page 4 of 4 FirstFirst ... 234
Results 76 to 91 of 91

Thread: [AL] AeroFighter (lite version)

  1. #76
    Join Date
    Feb 2015
    Posts
    48
    Mentioned
    0 Post(s)
    Quoted
    12 Post(s)

    Default

    Quote Originally Posted by oldspinach View Post
    Hey, I can`t run this script without SMART, I get this error. Maybe you guys know how to fix it?

    All I did was put // before define smart

    https://gyazo.com/2e8fffbdc7c3eebb855231532623d77e
    my best guess would be, you didn't define a new windows (using the corsshair) and now it's failing because it expects the height and width values which are missing. But this is just a guess

  2. #77
    Join Date
    Dec 2011
    Posts
    35
    Mentioned
    0 Post(s)
    Quoted
    4 Post(s)

    Default

    Hmm, somehow I can't run any more script anymore: procedure eZFormShow();native;

    Loaded Font UpChars_s
    Error: Block expected at line 58
    Compiling failed.

    Anyone know a solution? Would love to hear from you.

  3. #78
    Join Date
    Feb 2015
    Posts
    48
    Mentioned
    0 Post(s)
    Quoted
    12 Post(s)

    Default

    Quote Originally Posted by Maestrom1 View Post
    Hmm, somehow I can't run any more script anymore: procedure eZFormShow();native;

    Loaded Font UpChars_s
    Error: Block expected at line 58
    Compiling failed.

    Anyone know a solution? Would love to hear from you.
    Is your setup up to date? By setup I mean, Simba, the includes & plugins?

  4. #79
    Join Date
    Sep 2018
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    6 Post(s)

    Default

    Quote Originally Posted by symbiosis View Post
    my best guess would be, you didn't define a new windows (using the corsshair) and now it's failing because it expects the height and width values which are missing. But this is just a guess
    Still not working, maybe you guys have some more suggestions how i could fix this problem?

  5. #80
    Join Date
    Feb 2015
    Posts
    48
    Mentioned
    0 Post(s)
    Quoted
    12 Post(s)

    Default

    Quote Originally Posted by oldspinach View Post
    Still not working, maybe you guys have some more suggestions how i could fix this problem?
    Please provide as much information as you can, so we can help you the best.

    Informations which could help are:
    - The OS your running Simba on (I'm assuming this will be Windows)
    - The Version of Simba
    - The Version of the includes (most important the version of AeroLib) & plugins
    - The Client which you try to get this Script running on
    - The lines of code you edited
    - The erros you get and the code it where the error happens (this is stated in the error code)

    Edit:
    By looking at the date when the script was released and last edited, it seems that the script uses an older version of Simba, probably version 1.1. See this post https://villavu.com/forum/showthread.php?t=116503
    Also consider that AeroLib isn't actively in development at the moment, which means the AeroLib itself gets more and more outdated as new versions of Simba get released.
    Last edited by symbiosis; 09-13-2018 at 09:06 PM.

  6. #81
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,197
    Mentioned
    112 Post(s)
    Quoted
    1857 Post(s)

    Default

    Quote Originally Posted by oldspinach View Post
    Still not working, maybe you guys have some more suggestions how i could fix this problem?
    Use a supported script written using a supported include https://github.com/SRL/SRL
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  7. #82
    Join Date
    Sep 2018
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    6 Post(s)

    Default

    Quote Originally Posted by symbiosis View Post
    Please provide as much information as you can, so we can help you the best.

    Informations which could help are:
    - The OS your running Simba on (I'm assuming this will be Windows)
    - The Version of Simba
    - The Version of the includes (most important the version of AeroLib) & plugins
    - The Client which you try to get this Script running on
    - The lines of code you edited
    - The erros you get and the code it where the error happens (this is stated in the error code)

    Edit:
    By looking at the date when the script was released and last edited, it seems that the script uses an older version of Simba, probably version 1.1. See this post https://villavu.com/forum/showthread.php?t=116503
    Also consider that AeroLib isn't actively in development at the moment, which means the AeroLib itself gets more and more outdated as new versions of Simba get released.
    1. Yes i`ve made partition on mac and now use windows 10.
    2. Latest version of simba
    3. https://villavu.com/forum/showthread.php?t=108953 i use aerolib 2.1 which is mentioned here
    4. I`ve tried on original rs client and rsbuddy
    5. I`ve just commented out DEFINE SMART putting // before
    6. Currently i can`t reproduce the problem, because the pc i`m using dont have simba, but as i remember one of the errors was with ciRed 40 or something like that.

    EDIT: I`ve cheked simba version i`m using by going to Help->About it says 1100

  8. #83
    Join Date
    Feb 2015
    Posts
    48
    Mentioned
    0 Post(s)
    Quoted
    12 Post(s)

    Default

    Quote Originally Posted by oldspinach View Post
    1. Yes i`ve made partition on mac and now use windows 10.
    2. Latest version of simba
    3. https://villavu.com/forum/showthread.php?t=108953 i use aerolib 2.1 which is mentioned here
    4. I`ve tried on original rs client and rsbuddy
    5. I`ve just commented out DEFINE SMART putting // before
    6. Currently i can`t reproduce the problem, because the pc i`m using dont have simba, but as i remember one of the errors was with ciRed 40 or something like that.

    EDIT: I`ve cheked simba version i`m using by going to Help->About it says 1100
    Well this:
    6. Currently i can`t reproduce the problem, because the pc i`m using dont have simba, but as i remember one of the errors was with ciRed 40 or something like that
    Sounds like it has troubles findig the red "X" when you click on something. This could happen either if your StatChars & WorldChars aren't the correct ones or your Simba version isn't compatible with the AreoLib version.

    Once again as a reminder: We are doing dead care here. AeroLib isn't supported atm. it would be likely if you get it running, that you face another error soon as you would be relying on an old version of Simba.

  9. #84
    Join Date
    Sep 2018
    Posts
    2
    Mentioned
    0 Post(s)
    Quoted
    2 Post(s)

    Default

    I think its done for me know, the community seems dead. Script creators haven't logged for a while and searching for all the answers is hard if you can't code.
    I tried to get Simba running for like a week now, pushed alot of fixed, changed plugins/includes and even went back to a 32bit version but still I get errors there shouldn't be.
    For example: Error: Unknown declaration "dateToStr" at line 448
    Compiling failed.
    this should be fixed by using the 32bit version, but it keeps coming back. If anyone can help me I can pay you for a fix, if not it was nice for those years.

    (Didn't receive the password reset link so had to create a new account).

  10. #85
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,197
    Mentioned
    112 Post(s)
    Quoted
    1857 Post(s)

    Default

    Quote Originally Posted by DeOudeGebruiker View Post
    I think its done for me know, the community seems dead. Script creators haven't logged for a while and searching for all the answers is hard if you can't code.
    I tried to get Simba running for like a week now, pushed alot of fixed, changed plugins/includes and even went back to a 32bit version but still I get errors there shouldn't be.
    For example: Error: Unknown declaration "dateToStr" at line 448
    Compiling failed.
    this should be fixed by using the 32bit version, but it keeps coming back. If anyone can help me I can pay you for a fix, if not it was nice for those years.

    (Didn't receive the password reset link so had to create a new account).
    You are using outdated scripts/includes.

    See here for a current guide: https://villavu.com/forum/showthread...39#post1391739
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  11. #86
    Join Date
    Sep 2018
    Posts
    2
    Mentioned
    0 Post(s)
    Quoted
    2 Post(s)

    Default

    Fixed it, fresh install and fresh Aerolib without overwriting the newer simba files.
    Big thanks to KeepBotting!

  12. #87
    Join Date
    Feb 2015
    Posts
    48
    Mentioned
    0 Post(s)
    Quoted
    12 Post(s)

    Default

    Quote Originally Posted by DeOudeGebruiker View Post
    Fixed it, fresh install and fresh Aerolib without overwriting the newer simba files.
    Big thanks to KeepBotting!
    Another tip I can give you on the way, is to look into the discord channel if you seek fast help.
    https://discord.gg/rReXzGv (Or klick on the link in KeepBottings signature)

    The forums may seem dead, but they aren't and the discord channel is way more active.
    Last edited by symbiosis; 09-18-2018 at 03:59 PM.

  13. #88
    Join Date
    Sep 2018
    Posts
    2
    Mentioned
    0 Post(s)
    Quoted
    3 Post(s)

    Default

    hey guys, i'm having an issue where the script will run the antiban and leave the tab on the stats tab so when the script needs to eat, it does not see the inventory (because it is still on the skills tab) and says it is out of food

  14. #89
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,197
    Mentioned
    112 Post(s)
    Quoted
    1857 Post(s)

    Default

    Quote Originally Posted by johnstride101 View Post
    hey guys, i'm having an issue where the script will run the antiban and leave the tab on the stats tab so when the script needs to eat, it does not see the inventory (because it is still on the skills tab) and says it is out of food
    Hi,

    AeroLib is unmaintained, and this script seems to be experiencing breakage because of that. I would suggest that you look into SRL, the currently supported API for script writing. You can find it here: https://github.com/SRL/SRL

    You don't necessarily need to convert the entire script to SRL, changing only the broken routines to their SRL equivalents would probably get you up and running with minimal effort.

    Drop by the IRC or Discord if you have any questions.
    GitLab projects | Simba for Linux | Find me on IRC or Discord | OSRS scripts | Come play ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Bad™ before everyone gets laser pistols

  15. #90
    Join Date
    Mar 2013
    Posts
    167
    Mentioned
    7 Post(s)
    Quoted
    62 Post(s)

    Default

    Quote Originally Posted by johnstride101 View Post
    hey guys, i'm having an issue where the script will run the antiban and leave the tab on the stats tab so when the script needs to eat, it does not see the inventory (because it is still on the skills tab) and says it is out of food
    Use
    Code:
    FTab(tab_Inv);
    to switch to inventory, opposed to whatever other command you are using. The include is messed up.
    "To sleep, perchance to dream"

  16. #91
    Join Date
    Feb 2017
    Posts
    5
    Mentioned
    0 Post(s)
    Quoted
    1 Post(s)

    Default

    can u help me make a cow npc file with cow hides loot

Page 4 of 4 FirstFirst ... 234

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •